ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Swapan Shridhar (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-19737) Add a validation check in HSI about Capacity Scheduler preemption requirements
Date Fri, 27 Jan 2017 19:05:24 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-19737?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Swapan Shridhar updated AMBARI-19737:
-------------------------------------
    Resolution: Fixed
        Status: Resolved  (was: Patch Available)

> Add a validation check in HSI about Capacity Scheduler preemption requirements
> ------------------------------------------------------------------------------
>
>                 Key: AMBARI-19737
>                 URL: https://issues.apache.org/jira/browse/AMBARI-19737
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.4.2
>            Reporter: Swapan Shridhar
>            Assignee: Swapan Shridhar
>             Fix For: 2.5.0
>
>         Attachments: AMBARI-19737.patch, pjimage.jpg, Screen Shot 2017-01-26 at 1.28.16
PM.png
>
>
> Capacity Scheduler preemption is not enabled by default in HDP. Enabling it affects the
entire cluster and LLAP is of concern in the bug.
> *Requirement:*
> - Add a validation check about CS preemption configuration, while LLAP is not enabled.

> *Message:* 
> {noformat}
> Enabling YARN config 'yarn.resourcemanager.scheduler.monitor.enable' is recommended if
enabling LLAP, to ensure it is able to get cluster capacity.
> {noformat}
> If CS preemption is enabled, no validation check required.
> -> Also, uncommenting and fixing the test code in test_stack_advisor::test_validateHiveInteractiveSiteConfigurations().



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message